varying vec3 normal;
varying vec3 v;
varying vec3 lightvec0;
varying vec3 lightvec1;
varying vec3 lightvec2;
uniform sampler2D Texture0;
void main()
{
 vec3 Eye             = normalize(-v);
 
 vec3 Reflected       = normalize( reflect( -lightvec0, normal )); 

 vec4 IAmbient        = gl_LightSource[0].ambient;
 vec4 IDiffuse        = gl_LightSource[0].diffuse * max(dot(normal, lightvec0), 0.0);
 vec4 ISpecular       = gl_LightSource[0].specular * pow(max(dot(Reflected, Eye), 0.0), gl_FrontMaterial.shininess);
 
 vec4 temp = gl_FrontLightModelProduct.sceneColor + IAmbient + IDiffuse + ISpecular;

Reflected       = normalize( reflect( -lightvec1, normal ));
 
IAmbient        = gl_LightSource[1].ambient;
IDiffuse        = gl_LightSource[1].diffuse * max(dot(normal, lightvec1), 0.0);
ISpecular       = gl_LightSource[1].specular * pow(max(dot(Reflected, Eye), 0.0), gl_FrontMaterial.shininess);

temp += gl_FrontLightModelProduct.sceneColor + IAmbient + IDiffuse + ISpecular;

Reflected       = normalize( reflect( -lightvec2, normal ));
 
IAmbient        = gl_LightSource[2].ambient;
IDiffuse        = gl_LightSource[2].diffuse * max(dot(normal, lightvec2), 0.0);
ISpecular       = gl_LightSource[2].specular * pow(max(dot(Reflected, Eye), 0.0), gl_FrontMaterial.shininess);

temp += gl_FrontLightModelProduct.sceneColor + IAmbient + IDiffuse + ISpecular;

gl_FragColor = temp * texture2D(Texture0, vec2(gl_TexCoord[0]));
}
